# RakPeer::MemoryBlock Struct Reference

Automatic Variable Synchronization Mechanism. More...

`#include <RakPeer.h>`

List of all members.

## Public Attributes

char * | original
char * | copy
unsigned short | size
ObjectID | secondaryID
bool | isAuthority
bool(* | synchronizationRules )(char *, char *)

## Detailed Description

Automatic Variable Synchronization Mechanism.

automatic variable synchronization takes a primary and secondary identifier The unique primary identifier is the index into the automaticVariableSynchronizationList The unique secondary identifier (UNASSIGNED_OBJECT_ID for none) is in an unsorted list of memory blocks

## Member Data Documentation

char * RakPeer::MemoryBlock::copy

bool RakPeer::MemoryBlock::isAuthority

char* RakPeer::MemoryBlock::original

ObjectID RakPeer::MemoryBlock::secondaryID

unsigned short RakPeer::MemoryBlock::size

bool( * RakPeer::MemoryBlock::synchronizationRules)(char *, char *)

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/RakPeer.h